LSCLOCKS(1)

BEZEICHNUNG
lsclocks - Systemuhren anzeigen

ÜBERSICHT

lsclocks [Option]

BESCHREIBUNG

lsclocks ist ein einfacher Befehl zur Anzeige der Systemuhren.

Es ermöglicht die Anzeige von Informationen wie der aktuellen Zeit und der Auflösung der Uhren wie CLOCK_MONOTONIC, CLOCK_REALTIME und CLOCK_BOOTTIME.

OPTIONEN

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    gibt keine Überschriften aus.

-o, --output Liste
    gibt an, welche Spalten ausgegeben werden sollen. Im Abschnitt AUSGABESPALTEN sehen Sie eine Liste aller verfügbaren Spalten.

--output-all
    gibt alle Spalten aus.

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-r, --time Uhr
    zeigt die aktuelle Zeit einer bestimmten Uhr an.

--no-discover-dynamic
    versucht nicht, dynamische Uhren zu ermitteln.

-d, --dynamic-clock Pfad
    zeigt auch die angegebene dynamische Uhr an. Dies kann mehrfach angegeben werden.

--no-discover-rtc
    versucht nicht, Echtzeituhren (RTCs) zu ermitteln.

-x, --rtc Pfad
    zeigt auch die angegebene Echtzeituhr (RTC) an. Dies kann mehrfach angegeben werden.

-c, --cpu-clock PID
    zeigt auch die CPU-Uhr des angegebenen Prozesses an. Dies kann mehrfach angegeben werden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

AUSGABESPALTEN

Jede Spalte hat einen Typ. Die Typen werden in < und > eingefasst.

TYPE <Zeichenkette>
    Uhrentyp.

ID <Zahl>
    Numerische Uhrenkennung.

CLOCK <Zeichenkette>
    Name in der Form CLOCK_

NAME <Zeichenkette>
    Kürzerer, einfacher zu lesender Name.

TIME <Zahl>
    Aktueller Uhr-Zeitstempel, wie er von clock_gettime() zurückgeliefert wird.

ISO_TIME <Zeichenkette>
    Gemäß ISO8601 formatierte Version von TIME.

RESOL_RAW <Zahl>
    Auflösung der Uhr, wie sie von clock_getres(2) zurückgeliefert wird.

RESOL <Zahl>
    Menschenlesbare Version von RESOL_RAW.

REL_TIME <Zeichenkette>
    Aus TIME als Zeitbereich formatierte Zeit.

NS_OFFSET <Zahl>
    Versatz des aktuellen Namensraums gegenüber dem Eltern-Namensraum, wie aus /proc/self/timens_offsets gelesen.

AUTOREN

SIEHE AUCH

clock_getres(2) clock_gettime(2)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl lsclocks ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.